package org.example.data

import org.example.data.model.UserDTO

interface UserRepository {
    fun addUser()
    fun removeUserById(userId: Int): Boolean
    fun updateUserById(userId: Int, updatedUser: UserDTO): UserDTO
    fun getAllUsers(): List<UserDTO>
    fun findUserById(userId: Int): UserDTO
}