package org.example.domain

import org.example.domain.request.AuthorizeRequest
import org.example.domain.response.UserResponse

interface UserUseCase {
    fun authorize(authorizeRequest: AuthorizeRequest): UserResponse
    fun registration()
    fun changePassword()
    fun changeProfile()
}